summaryrefslogtreecommitdiff
path: root/scripts/image_signing/sign_official_build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/image_signing/sign_official_build.sh')
-rwxr-xr-xscripts/image_signing/sign_official_build.sh12
1 files changed, 7 insertions, 5 deletions
diff --git a/scripts/image_signing/sign_official_build.sh b/scripts/image_signing/sign_official_build.sh
index 36d2d859..668989ea 100755
--- a/scripts/image_signing/sign_official_build.sh
+++ b/scripts/image_signing/sign_official_build.sh
@@ -730,11 +730,6 @@ verify)
verify_image
exit 0
;;
-nv_lp0_firmware)
- check_argc $# 3
- sign_nv_lp0_firmware "${INPUT_IMAGE}" "${KEY_DIR}"
- exit 0
- ;;
*)
# All other signing commands take 4 to 5 args.
if [ -z "${OUTPUT_IMAGE}" ]; then
@@ -784,6 +779,13 @@ elif [[ "${TYPE}" == "firmware" ]]; then
fi
cp ${INPUT_IMAGE} ${OUTPUT_IMAGE}
sign_firmware ${OUTPUT_IMAGE} ${KEY_DIR} ${FIRMWARE_VERSION}
+elif [[ "${TYPE}" == "nv_lp0_firmware" ]]; then
+ if [[ -e "${KEY_DIR}/loem.ini" ]]; then
+ echo "LOEM signing not implemented yet for nv_lp0_firmware images"
+ exit 1
+ fi
+ cp "${INPUT_IMAGE}" "${OUTPUT_IMAGE}"
+ sign_nv_lp0_firmware "${OUTPUT_IMAGE}" "${KEY_DIR}"
elif [[ "${TYPE}" == "kernel" ]]; then
if [[ -e "${KEY_DIR}/loem.ini" ]]; then
echo "LOEM signing not implemented yet for kernel images"